// based on Arduino Playground Sketch
// http://playground.arduino.cc//Main/CapacitiveSensor?from=Main.CapSense

// have a look also a Pencil Based Capacitive Sensor
// http://www.bareconductive.com/capacitance-sensor

// tutorial about touch sensors features
//http://www.instructables.com/id/Touche-for-Arduino-Advanced-touch-sensing/

// import the library (must be located in the
// Arduino/libraries directory)
#include <CapacitiveSensor.h>
// create an instance of the library
// pin 4 sends electrical energy
// pin 2 senses senses a change
CapacitiveSensor capSensor = CapacitiveSensor(4,2);
// threshold for turning the lamp on
int threshold = 200;
// pin the LED is connected to
const int ledPin = 12;
void setup() {
  // open a serial connection
  Serial.begin(9600);
  // set the LED pin as an output
  pinMode(ledPin, OUTPUT);
}
void loop() {
  // store the value reported by the sensor in a variable
  long sensorValue = capSensor.capacitiveSensor(30);
  // print out the sensor value
  Serial.println(sensorValue);
  // if the value is greater than the threshold
  if(sensorValue > threshold) {
    // turn the LED on
    digitalWrite(ledPin, HIGH);
  }
  // if it’s lower than the threshold
  else {
    // turn the LED off
    digitalWrite(ledPin, LOW);
  }
  delay(50);
}

