/*
  RGB LED with Buttons
 
 Use three buttons to control RBG LED color
 Turns on and off a light emitting diode(LED) connected to digital  
 pin 13, when pressing a pushbutton attached to pin 2. 
 
 
 The circuit:
 * RED light attached to pin 13 
 * GREEN light attached to pin 12
 * BLUE light attached to pin 11 
 * The cathode of the RBG LED is attached to ground
 * RED pushbutton attached to pin 4 from +5V
 * GREEN pushbutton attached to pin 3 from +5V
 * BLUE pushbutton attached to pin 2 from +5V
 * 10K resistor attached to pin 2 from ground
 * 10K resistor attached to pin 3 from ground
 * 10K resistor attached to pin 4 from ground
 * Note: on most Arduinos there is already an LED on the board
 attached to pin 13.
 
 
 created 2013
 by Angelos Floros
 
  */

// constants won't change. They're used here to 
// set pin numbers:
const int buttonPinR = 2;     // the number of the RED pushbutton pin
const int buttonPinG = 3;     // the number of the GREEN pushbutton pin
const int buttonPinB = 4;     // the number of the BLUE pushbutton pin
const int ledPinR =  13;      // the number of the RED light of RGB LED pin
const int ledPinG =  12;      // the number of the GREEN light of RGB LED pin
const int ledPinB =  11;      // the number of the BLUE light of RGB LED pin

// variables will change:
int buttonStateR = 0;         // variable for reading the pushbutton status
int buttonStateG = 0;         // variable for reading the pushbutton status
int buttonStateB = 0;         // variable for reading the pushbutton status

void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPinR, OUTPUT);      
  pinMode(ledPinG, OUTPUT);      
  pinMode(ledPinB, OUTPUT);      
  // initialize the pushbutton pin as an input:
  pinMode(buttonPinR, INPUT);     
  pinMode(buttonPinG, INPUT);     
  pinMode(buttonPinB, INPUT);     
}

void loop(){
  // read the state of the pushbutton value:
  buttonStateR = digitalRead(buttonPinR);
  buttonStateG = digitalRead(buttonPinG);
  buttonStateB = digitalRead(buttonPinB);

  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:
  if (buttonStateR == HIGH) {     
    // turn RED light on:    
    digitalWrite(ledPinR, HIGH);  
  } 
  else {
    // turn RED light off:
    digitalWrite(ledPinR, LOW); 
  }
   if (buttonStateG == HIGH) {     
    // turn GREEN light on:    
    digitalWrite(ledPinG, HIGH);  
  } 
  else {
    // turn GREEN light off:
    digitalWrite(ledPinG, LOW); 
  }
    if (buttonStateB == HIGH) {     
    // turn BLUE light on:    
    digitalWrite(ledPinB, HIGH);  
  } 
  else {
    // turn BLUE light off:
    digitalWrite(ledPinB, LOW); 
  }
}
