/*
 Fading

 This example shows how to fade an LED using the analogWrite() function.
 The circuit:
 * LED attached from digital pin 9 to ground.
 
 Created 1 Nov 2008
 By David A. Mellis
 modified 30 Aug 2011
 By Tom Igoe
 http://arduino.cc/en/Tutorial/Fading

 This example code is in the public domain.
 */


int ledPin = 9;    // LED connected to digital pwm pin

void setup()  { 
   pinMode(ledPin, OUTPUT);
} 

void loop()  { 

   // read the Value 
   int sensorValue = analogRead(A0);

   // transform the value to 0-255 scale
   sensorValue = map(sensorValue, 0, 1023, 0, 255);

   // apply the value to the LED
   analogWrite(ledPin, sensorValue);         

   // add some delay    
   delay(10);                            
  } 

