/*
  ‘ButtonBIS’
 
 Based on Arduino sketch ‘Button’
 
 Turns on and off two light emitting diodes(LED)
 connected to digital   pin 12 and pin 13, 
 when pressing a pushbutton attached to pin 2. 
 
 curcuit with a common Cathode bicolor LED light
 RED LED short led   (-) --> GND
 RED LED long leg    (+) --> 220Ohms Resistor --> pin 12
 GREEN LED short led (-) --> GND
 GREEN LED long leg  (+) --> 220Ohms Resistor --> pin 13 
 
 
 created 2005
 by DojoDave <http://www.0j0.org>
 modified 30 Aug 2011  by Tom Igoe
 re-modified August 2013m by Angelos Floros 
 
 This example code is in the public domain.
 
 http://www.arduino.cc/en/Tutorial/Button
 */

// constants won’t change. They’re used here to 
// set pin numbers:
const int buttonPin = 2;  // pushbutton pin
const int ledPinR =  12;  // RED LED pin
const int ledPinG =  13;  // GREEN LED pin

// variables will change:
int buttonState = 0;  // Stores the button status


void setup() {

  // initialize the LED pins as an output:
  pinMode(ledPinR, OUTPUT);   
  pinMode(ledPinG, OUTPUT);  

  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);     
}

void loop(){

  // reads the state of the pushbutton value:
  // and stores it on buttonState variable
  buttonState = digitalRead(buttonPin);

  // check if the pushbutton is pressed
  if (buttonState == HIGH) {     
    // turn on the RED LED and
    // turn off the GREEN LED  
    digitalWrite(ledPinR, HIGH);  
    digitalWrite(ledPinG, LOW); 
  } 
  else {

    // turn on the RED LED and
    // turn off the GREEN LED
    digitalWrite(ledPinR, LOW); 
    digitalWrite(ledPinG, HIGH); 
  }
}

