/*
  'Capacitive Sensors'
  based on Arduino Starter Kit example 
 Project 13  - Touch Sensor Lamp
 
 This sketch is written to accompany Project 13 in the
 Arduino Starter Kit
 
 Parts required:
 1 Megohm resistor
 metal foil or copper mesh
 220 ohm resistor
 LED
 
 Software required : 
 CapacitiveSensor library by Paul Badger
 http://arduino.cc/playground/Main/CapacitiveSensor
 
 Created 18 September 2012
 by Scott Fitzgerald
 
 http://arduino.cc/starterKit
 http://uk.rs-online.com/web/generalDisplay.html?id=arduino&file=touchy-feely-lamp
 
 This example code is part of the public domain 
 */

// import the library (must be located in the
// Arduino/libraries directory)
#include <CapacitiveSensor.h>

// create an instance of the library
// pin 4 sends electrical energy
// pin 2 senses senses a change
CapacitiveSensor capSensor10M = CapacitiveSensor(4,2);
CapacitiveSensor capSensor1M = CapacitiveSensor(4,6);
CapacitiveSensor capSensor10K = CapacitiveSensor(4,8);
// threshold for turning the lamp on
int threshold10M = 10000;
int threshold1M = 1000;
int threshold10K = 50;
// pin the LED is connected to
const int ledPin = 13;


void setup() {
  // open a serial connection
  Serial.begin(9600);
  // set the LED pin as an output
  pinMode(ledPin, OUTPUT);
}

void loop() {
  
  // store the value reported by the sensor in a variable
  long sensor10M = capSensor10M.capacitiveSensor(30);
  long sensor1M = capSensor1M.capacitiveSensor(30);
  long sensor10K = capSensor10K.capacitiveSensor(30);
  
  // print out the sensor values
   Serial.print(sensor10M); 
  Serial.print("\t");
  Serial.print(sensor1M); 
  Serial.print("\t");
  Serial.println(sensor10K); 
  
  // if the value is greater than the threshold
  if(sensor10M > threshold10M || sensor1M > threshold1M || sensor10K > threshold10K) { 
    digitalWrite(ledPin, HIGH);
  }
  // if it’s lower than the threshold
  else { 
    digitalWrite(ledPin, LOW);
  }

  delay(10);
}




