/*
 'FadeBIS'
 This project is based on Basic Arduino  'Fade' Example
 
 ‘FadeBIS’ fades-in the pin 9 LED light holding off 
 the other LED (pin 10), and fades-out the pin 10 LED 
 holding off the pin 9 LED. The fade period is related 
 to fadeAmount value
 
 This example shows how to fade an led using PWM pins 
 the analogWrite() function.
 
 analogueWrite() controls the voltage of PWM pins.
 It is using numbers between 0 and 255.
 0 means sends no Voltage to PIN; it is equal to LOW 
 255 sends the maximum Voltage to PIN; it is equal to HIGH
 
 curcuit with a common Cathode bicolor LED light 
 RED LED shortled (-)-->GND
 RED LED long leg (+) --> 220Ohms Resistor --> pin 9 
 GREEN LED short led (-) --> GND
 GREEN LED long leg (+) --> 220Ohms Resistor --> pin 10
 
 modified August 2013
 by Angelos Floros
 
 This example code is in the public domain.
 */

int ledPinR = 9; // RED led Pin number 
int ledPinG = 10; // GREEN led Pin number
int brightness=0; // store the led’s brightness 
int fadeAmount=4; // brigntess step

void setup()  { 
  // declare pin 9 to be an output: 
  pinMode(ledPinR, OUTPUT);
  // declare pin 10 to be an output: 
  pinMode(ledPinG, OUTPUT);
} 

void loop()  { 

  // change the brightness according to fadeAmount value
  brightness = brightness + fadeAmount;

  // reverse the direction of the fading effect 
  // at the end of each fade
  // this happens switching the fadeAmount value 
  // from positive to negative and vise versa

  if (brightness+fadeAmount < 0 || brightness+fadeAmount > 255)
  {
    fadeAmount = -fadeAmount ; 
  }
  // check if the fadeAmount is positive 
  // that help as to realize it fades in 
  // or fade out
  // The circuit fades in the pin 9 led 
  // and keeps off the led of pin 10 
  // during the fade in process

  if (fadeAmount>0) { 
    analogWrite(ledPinR, brightness);
    analogWrite(ledPinG, LOW); 
  }
  // The circuit fades in the pin 10 led 
  // and keeps off the led of pin 9
  // during the fade in process
  else {
    analogWrite(ledPinR, LOW);
    analogWrite(ledPinG, brightness); 
  }
  // wait for 10 milliseconds to see the dimming effect
  delay(10);  
}


